Balance Top-up
With this service, you can top up a customer's balance using their room number.
POST
/integrators/payments/balance/top-up
| Field | Type | Required | Example | Description |
|---|---|---|---|---|
| roomNumber | string | Yes | IG00001 | Customer's room number. |
| amount | integer | Yes | 100 (1 GEL) | Amount in tetri, min:1 and max:1000000. |
| paymentId | string | Yes | IN0001 | Payment number in your system. (max:255 characters). |
Duplicate paymentId
Please note. When requesting a balance top-up with a duplicate paymentId, our system will not return an error; if it exists, the balance top-up will not happen again, and it will return the previous successful response.
Response Structure 200 OK
| Attribute | Type | Example | Description |
|---|---|---|---|
| data.transactionId | string | 223IN1233 | Transaction identifier reflected in the Inex system. |
Possible Responses
| Code | Description |
|---|---|
| 200 OK | Request was successful. |
| 404 Not Found | Customer with the specified room number was not found. |
| 403 Forbidden | You do not have permission to perform this operation |
| 422 Unprocessable | Validation error (invalid type or missing field). |
cURL Request
BASH
curl -X POST https://api-staging.inex.ge/api/v1/integrators/payments/balance/top-up \
-H "Authorization: Bearer {TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"roomNumber": "IG00001",
"amount": 100,
"paymentId": "IN0001"
}'
Response (200 OK)
JSON Response
JSON
{
"data": {
"transactionId": 123456
}
}
Error Response (403)
JSON Response
JSON
{
"errors": {
"general": [
"You are not authorized to perform this action. Contact administrator."
]
},
"message": "error"
}
Error Response (404)
JSON Response
JSON
{
"errors": {
"general": [
"Requested customer not found"
]
},
"message": "error"
}
Error Response (422)
JSON Response
JSON
{
"message": "The amount field must be at least 1.",
"errors": {
"amount": [
"The amount field must be at least 1."
]
}
}